#!/usr/bin/env sh

# Compute the mean image in lmdb dataset
OUTPUT=./images # folder for the lmdb datasets and output for mean image
TOOLS=../../Caffe-Repo/build/tools

rm -rf $OUTPUT/train_mean.binaryproto
rm -rf $OUTPUT/test_mean.binaryproto
rm -rf $OUTPUT/train_mean.npy
rm -rf $OUTPUT/test_mean.npy

# Compute the mean of all the images in the lmdb datasets
echo "Start to compute the mean images"

$TOOLS/compute_image_mean $OUTPUT/train_lmdb $OUTPUT/train_mean.binaryproto

$TOOLS/compute_image_mean $OUTPUT/test_lmdb $OUTPUT/test_mean.binaryproto

echo "Start Converting to .npy"
python convert_mean.py $OUTPUT/train_mean.binaryproto $OUTPUT/train_mean.npy
python convert_mean.py $OUTPUT/test_mean.binaryproto $OUTPUT/test_mean.npy

#echo "Show mean Image"
#python view_mean_image.py

echo "Done."


